public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/poetry/
Date: Tue, 22 Aug 2023 04:12:29 +0000 (UTC)	[thread overview]
Message-ID: <1692675743.b397064b11a210d6cc90796cfc38ca76b11580c6.mgorny@gentoo> (raw)

commit:     b397064b11a210d6cc90796cfc38ca76b11580c6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 22 03:42:23 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Aug 22 03:42:23 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b397064b

dev-python/poetry: Bump to 1.6.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/poetry/Manifest            |  1 +
 dev-python/poetry/poetry-1.6.1.ebuild | 85 +++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/dev-python/poetry/Manifest b/dev-python/poetry/Manifest
index beb89ca51a28..3efe38bc1363 100644
--- a/dev-python/poetry/Manifest
+++ b/dev-python/poetry/Manifest
@@ -1,2 +1,3 @@
 DIST poetry-1.5.1.tar.gz 1469755 BLAKE2B ac60d6aabe69b1e46a6fbc188579034e716a470384571a611952489d175485cf997636c9206a53e29be073582e672f8010ab5f8f13b58a12dc644279753f903e SHA512 863bc4ea43b6fc5b340f50f007c76d2c253223d6bd55ea5c1ead4bc353c3d4cd85d51372a774276e14d9fca733fac9c2f582892fec950b74f25dc188dafa7a96
 DIST poetry-1.6.0.tar.gz 1475454 BLAKE2B 11bdfb5cacee0563d134919619bffeb007c13c632d8ab017521ce191a5ccaace52405ef9afa81ece1042c075b4601069deab99028a187bea73d4d6e4b505b55f SHA512 eef9a4c4d0526d3c71380c00b654852b22b7c5e86f187463977b1f798b5cb377c41983a6c21350c19f13fb1804a8190f5bd158dc5f0a298d0732812e44524063
+DIST poetry-1.6.1.tar.gz 1475487 BLAKE2B 0e49da3473203fcd24aacdf34e886bb4a6e723bc1e03ccc285c94a25f214b31c768462fef0cc24f659132dd5ce33eac71a2329fef4df7dba1c76303fd1987a77 SHA512 3d5aac641c0fa4dd16f8f7b2a55fa1795ced1803886a048167a0a2a2ac419ff1c16734458316100f54ca4e8bcf88b5aa176b0ba2bde74bee6bdd41305b078f3b

diff --git a/dev-python/poetry/poetry-1.6.1.ebuild b/dev-python/poetry/poetry-1.6.1.ebuild
new file mode 100644
index 000000000000..5104a42c1e2f
--- /dev/null
+++ b/dev-python/poetry/poetry-1.6.1.ebuild
@@ -0,0 +1,85 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A frontend for poetry - a python dependency management and packaging tool"
+HOMEPAGE="
+	https://python-poetry.org/
+	https://github.com/python-poetry/poetry
+	https://pypi.org/project/poetry/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	>=dev-python/poetry-core-1.7.0[${PYTHON_USEDEP}]
+	>=dev-python/poetry-plugin-export-1.5.0[${PYTHON_USEDEP}]
+	>=dev-python/build-0.10.0[${PYTHON_USEDEP}]
+	>=dev-python/cachecontrol-0.13.0[${PYTHON_USEDEP}]
+	>=dev-python/cleo-2.0.0[${PYTHON_USEDEP}]
+	>=dev-python/crashtest-0.4.1[${PYTHON_USEDEP}]
+	>=dev-python/dulwich-0.21.2[${PYTHON_USEDEP}]
+	>=dev-python/installer-0.7.0[${PYTHON_USEDEP}]
+	>=dev-python/jsonschema-4.10.0[${PYTHON_USEDEP}]
+	>=dev-python/keyring-24.0.0[${PYTHON_USEDEP}]
+	>=dev-python/packaging-20.4[${PYTHON_USEDEP}]
+	>=dev-python/pexpect-4.7.0[${PYTHON_USEDEP}]
+	>=dev-python/pkginfo-1.9.4[${PYTHON_USEDEP}]
+	>=dev-python/platformdirs-3.0.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.26[${PYTHON_USEDEP}]
+	>=dev-python/requests-toolbelt-0.10.1[${PYTHON_USEDEP}]
+	>=dev-python/shellingham-1.5.0[${PYTHON_USEDEP}]
+	>=dev-python/tomlkit-0.11.6[${PYTHON_USEDEP}]
+	>=dev-python/trove-classifiers-2022.5.19[${PYTHON_USEDEP}]
+	>=dev-python/urllib3-1.26.0[${PYTHON_USEDEP}]
+	>=dev-python/virtualenv-20.22.0[${PYTHON_USEDEP}]
+	$(python_gen_cond_dep '
+		>=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+	' 3.10)
+"
+
+BDEPEND="
+	test? (
+			>=dev-python/deepdiff-6.3.1[${PYTHON_USEDEP}]
+			>=dev-python/httpretty-1.0[${PYTHON_USEDEP}]
+			>=dev-python/pytest-mock-3.9[${PYTHON_USEDEP}]
+			>=dev-python/pytest-xdist-3.1[${PYTHON_USEDEP}]
+	)
+"
+
+src_prepare() {
+	# unpin
+	sed -e 's:\^:>=:' \
+		-e '/poetry-core/s:":">=:' \
+		-e 's:,<[0-9.]*::' \
+		-i pyproject.toml || die
+
+	distutils-r1_src_prepare
+}
+
+EPYTEST_DESELECT=(
+	# Tests require network (they run `pip install ...`)
+	tests/installation/test_executor.py::test_executor_should_write_pep610_url_references_for_directories
+	tests/installation/test_executor.py::test_executor_should_write_pep610_url_references_for_git
+	tests/installation/test_executor.py::test_executor_should_write_pep610_url_references_for_git_with_subdirectories
+	tests/installation/test_pip_installer.py::test_uninstall_git_package_nspkg_pth_cleanup
+	tests/installation/test_executor.py::test_executor_should_write_pep610_url_references_for_non_wheel_files
+	tests/installation/test_installer.py::test_installer_with_pypi_repository
+	tests/masonry/builders/test_editable_builder.py::test_builder_setup_generation_runs_with_pip_editable
+
+	# Works with network, but otherwise: Backend 'poetry.core.masonry.api' is not available.
+	tests/installation/test_chef.py::test_prepare_sdist
+	tests/installation/test_chef.py::test_prepare_directory
+	tests/installation/test_chef.py::test_prepare_directory_with_extensions
+	tests/installation/test_chef.py::test_prepare_directory_editable
+)
+
+distutils_enable_tests pytest


             reply	other threads:[~2023-08-22  4:12 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-08-22  4:12 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-09 14:50 [gentoo-commits] repo/gentoo:master commit in: dev-python/poetry/ Michał Górny
2024-06-02 15:39 Andrew Ammerlaan
2024-05-19 17:55 Andrew Ammerlaan
2024-05-09  4:08 Michał Górny
2024-05-09  4:08 Michał Górny
2024-03-02 19:47 Michał Górny
2024-02-27  6:18 Michał Górny
2024-02-26 17:48 Michał Górny
2023-12-30 18:32 Michał Górny
2023-11-17 13:32 Michał Górny
2023-11-17 13:32 Michał Górny
2023-11-03 18:35 Michał Górny
2023-09-14  2:51 Sam James
2023-08-21  2:52 Michał Górny
2023-07-28  9:26 Michał Górny
2023-07-28  6:13 Michał Górny
2023-07-28  6:13 Michał Górny
2023-07-22 13:16 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1692675743.b397064b11a210d6cc90796cfc38ca76b11580c6.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox